## war1gus-3.3.2.tar.gz

=== CMakeLists.txt ===
#    CMakeLists.txt
#    Copyright (C) 2013  Tim Felgentreff <timfelgentreff@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(war1gus)
cmake_minimum_required(VERSION 3.10)
cmake_policy(VERSION 3.10..3.20.2)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_STANDARD 17)

if(EXISTS ${WIN32_CMAKE_PREFIX_PATH})
	list(APPEND CMAKE_PREFIX_PATH "${WIN32_CMAKE_PREFIX_PATH}")
	message("Using prefix path ${CMAKE_PREFIX_PATH}")
endif()

file(GLOB war1tool_SRCS
  "scripts/*.lua"
  "scripts/**/*.lua"
  "campaigns/**/*.sms"
  "campaigns/**/*.lua"
  "maps/*.sms"
  "war1tool.cpp"
  "xmi2mid.cpp"
  "scale2x.cpp"
  "README"
  )

set(war1tool_HDRS xmi2mid.h scale2x.h)

find_package(PNG REQUIRED)
find_package(ZLIB REQUIRED)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O0 -g -ggdb")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g -ggdb")
endif()

if(WIN32 AND MSVC)
	add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_DEPRECATE=1)
else()
	include(CheckCXXSourceCompiles)
	set(FS_SRC "
	#include <experimental/filesystem> 
	namespace fs = std::experimental::filesystem;
	int main(int argc, char **argv) {
		fs::path p = fs::path(\".\");
		if (fs::absolute(p).is_absolute()) {
			return 0;
		} else {
			return 1;
		}
	}
	")
	check_cxx_source_compiles("${FS_SRC}" HAS_17_FS)
	if(NOT HAS_17_FS)
		set(CMAKE_REQUIRED_LIBRARIES stdc++fs)
		check_cxx_source_compiles("${FS_SRC}" HAS_EXP_17_FS_WITH_STDC)
		if(HAS_EXP_17_FS_WITH_STDC)
			set(war1gus_LIBS ${war1gus_LIBS} stdc++fs)
			set(war1tool_LIBS ${war1tool_LIBS} stdc++fs)
		else()
			set(CMAKE_REQUIRED_LIBRARIES c++fs)
			check_cxx_source_compiles("${FS_SRC}" HAS_EXP_17_FS_WITH_CLIB)
			if(HAS_EXP_17_FS_WITH_CLIB)
				set(war1gus_LIBS ${war1gus_LIBS} c++fs)
				set(war1tool_LIBS ${war1tool_LIBS} c++fs)
			else()
				message(FATAL_ERROR "I don't know how to compile with C++17 filesystem support on your system")
			endif()
		endif()
	endif()
endif()

if(WIN32 AND MSVC AND NOT CMAKE_PREFIX_PATH)
  # use a default
  set(CMAKE_PREFIX_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../dependencies)
endif()

include_directories(${PNG_INCLUDE_DIR} ${ZLIB_INCLUDE_DIRS})
set(war1tool_LIBS ${war1tool_LIBS} ${PNG_LIBRARIES} ${ZLIB_LIBRARIES})

set(BINDIR "bin" CACHE PATH "Where to install user binaries")
add_executable(war1tool ${war1tool_SRCS} ${war1tool_HDRS})
target_link_libraries(war1tool ${war1tool_LIBS})
install(TARGETS war1tool DESTINATION ${BINDIR})

# Launcher

find_package(Stratagus)
if(STRATAGUS_FOUND)
  set(GAMEDIR "games" CACHE PATH "Where to install games binaries")
  set(SHAREDIR "share/games/stratagus/war1gus" CACHE PATH "Where to install data files")
  set(DATAROOTDIR "${CMAKE_INSTALL_PREFIX}/share" CACHE PATH "Sets the root of data directories to a non-default location")
  set(ICONDIR "${DATAROOTDIR}/pixmaps" CACHE PATH "Sets the icon directory for desktop entry to a non-default location.")
  set(DESKTOPDIR "${DATAROOTDIR}/applications" CACHE PATH "Sets the desktop file directory for desktop entry to a non-default location.")
  if(NOT IS_ABSOLUTE "${GAMEDIR}")
    set(GAMEDIRABS "${CMAKE_INSTALL_PREFIX}/${GAMEDIR}")
  else()
    set(GAMEDIRABS "${GAMEDIR}")
  endif()
  if(NOT IS_ABSOLUTE "${SHAREDIR}")
    set(DATA_PATH "${CMAKE_INSTALL_PREFIX}/${SHAREDIR}")
  else()
    set(DATA_PATH "${SHAREDIR}")
  endif()

  include_directories(${STRATAGUS_INCLUDE_DIR})
  if (NOT WIN32)
    add_definitions(-DDATA_PATH="${DATA_PATH}")
    add_definitions(-DSCRIPTS_PATH="${DATA_PATH}")
    add_definitions(-DSTRATAGUS_BIN="${STRATAGUS}")
    configure_file (
      "${PROJECT_SOURCE_DIR}/war1gus.desktop.in"
      "${PROJECT_BINARY_DIR}/war1gus.desktop"
    )
    add_custom_command(OUTPUT "${PROJECT_BINARY_DIR}/war1gus.png"
      COMMAND convert
      ARGS "${PROJECT_SOURCE_DIR}/war1gus.ico" "${PROJECT_BINARY_DIR}/war1gus.png"
      DEPENDS war1gus.ico
      COMMENT "Generating war1gus.png" VERBATIM
    )
    add_custom_target(icon ALL DEPENDS war1gus.png)
    install(FILES "${PROJECT_BINARY_DIR}/war1gus.png" DESTINATION ${ICONDIR})
    add_custom_command(OUTPUT "${PROJECT_BINARY_DIR}/war1gus.xpm"
      COMMAND convert
      ARGS "${PROJECT_SOURCE_DIR}/war1gus.ico" -resize 32x32 "${PROJECT_BINARY_DIR}/war1gus.xpm"
      DEPENDS war1gus.ico
      COMMENT "Generating war1gus.xmp" VERBATIM
    )
    add_custom_target(xpmicon ALL DEPENDS war1gus.xpm)
    install(FILES "${PROJECT_BINARY_DIR}/war1gus.xpm" DESTINATION ${ICONDIR})
    install(FILES "${PROJECT_BINARY_DIR}/war1gus.desktop" DESTINATION ${DESKTOPDIR})
    install(DIRECTORY campaigns contrib maps scripts shaders DESTINATION ${SHAREDIR})
  elseif (WIN32)
    set(war1gus_SRCS ${war1gus_SRCS} war1gus.rc)
    find_package(MakeNSIS)
    enable_language(RC)
    include(CMakeDetermineRCCompiler)
    option(ENABLE_NSIS "Create Stratagus Window NSIS Installer" ON)
    if(ENABLE_NSIS AND MAKENSIS_FOUND)
      file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/COPYING DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
      file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/war1gus.ico DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
      add_custom_target(nsis ALL
        COMMAND ${MAKENSIS} ${MAKENSIS_FLAGS} -DPORTABLE=1 -DCMAKE_CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_CURRENT_BINARY_DIR="${CMAKE_CURRENT_BINARY_DIR}" ${CMAKE_CURRENT_SOURCE_DIR}/war1gus.nsi
        COMMAND ${MAKENSIS} ${MAKENSIS_FLAGS} -DCMAKE_CURRENT_SOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_CURRENT_BINARY_DIR="${CMAKE_CURRENT_BINARY_DIR}" ${CMAKE_CURRENT_SOURCE_DIR}/war1gus.nsi
        DEPENDS war1gus.nsi war1gus war1tool COPYING war1gus.ico
        COMMENT "Generating War1gus Windows NSIS Installers" VERBATIM
        SOURCES war1gus.nsi)
    endif()
    add_definitions(-D_CRT_SECURE_NO_WARNINGS -D_CRT_SECURE_NO_DEPRECATE=1)
  endif()
  set(war1gus_SRCS war1gus.cpp)
  add_executable(war1gus WIN32 ${war1gus_SRCS} ${war1gus_HDRS})
  target_link_libraries(war1gus ${war1gus_LIBS})
  set(GAMEDIR "games" CACHE PATH "Where to install games binaries")
  install(TARGETS war1gus DESTINATION ${GAMEDIR})
endif()

# uninstall target
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== debian/changelog ===
war1gus (3.3.2-1) focal; urgency=medium

  [ Tim Felgentreff ]
  * Only engine changes

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 10 Aug 2022 20:16:39 +0200

war1gus (3.3.1-1) focal; urgency=medium

  [ Tim Felgentreff ]
  * Only engine changes

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Sun, 31 Jul 2022 11:47:03 +0200

war1gus (3.3.0-1) focal; urgency=medium

  [ Lagi7 ]
  * change wood and gold position in UI top bar
  * default scroll speed increase
  * increase worker time inside goldmine
  * balancing after game with TaShadan

  [ Tim Felgentreff ]
  * when reloading buttons and buildings while rebalancing is active, also reload rebalancing script
  * use password field for online password
  * restart immediately on balancing changes
  * update caption when downloading map data
  * refresh chat on events
  * add orc watch tower
  * add townhall salvage button
  * update watch tower construction graphic
  * add kennel/stable upgrades

  [ Lagi7 ]
  * Delete orc-watch-tower-UC.png
  * Delete orc-watch-tower-icon-forest.png
  * Delete orc-watch-tower-icon-swamp.png
  * Delete orc-watch-tower.png
  * Create buildings
  * Delete buildings
  * Create dm
  * Add files via upload
  * Delete dm
  * Add files via upload
  * Delete human-barding-stable.png
  * Delete human-barding-stable1.png
  * Delete salvage-th-human.png
  * Add files via upload
  * Delete orc-saliva-kennel.png
  * Delete orc-saliva-kennel2.png
  * Delete salvage-th-orc.png
  * Add files via upload
  * balancing lua to use the new graphics
  * more space between stats in unit description
  * there is no attack ground in vanilla warcraft1
  * there is no attack ground in vanilla warcraft1 part 2 for orc
  * longer projectile effects

  [ Tim Felgentreff ]
  * collect tileset change callbacks into a function list for modding

  [ Lagi7 ]
  * enable catapult attack ground
  * remove blacksmith requirment from Knights/Riders
  * add Play intro option to menu - part1/2
  * add Play intro option to menu - part2/2
  * elemental blast attack 1/2
  * elemental blast 2/2

  [ Tim Felgentreff ]
  * fix play intro select

  [ Lagi7 ]
  * new icons
  * new orc icons
  * cat
  * cat
  * draw effect on top of units, slow projectile
  * mana balance, AoE more deadly
  * balance and stufff
  * map fix
  * map fix
  * dont work
  * dont work
  * dont work
  * spell keys adjust
  * spell key adjust
  * change default preferences
  * put dungeons map into folder - to not clutter list
  * click
  * click
  * graphic click
  * web for spiders
  * web missile code
  * spider shooting webs

  [ Tim Felgentreff ]
  * set ascii only codepage

  [ Lagi7 ]
  * fix unholy button  clash

  [ Tim Felgentreff ]
  * refactor how we do speed

  [ Lagi7 ]
  * fix path
  * stop droping wood

  [ Tim Felgentreff ]
  * refactored move animation

  [ Lagi7 ]
  * speed adjust 1
  * speed adjust 2
  * speed adjust 3
  * speed adjust 2
  * speed adjust 4
  * faster click animation & spell effects definition
  * spell-skill for spiders to slow down
  * decoration for web skill
  * button for spider web skill
  * spider web skill

  [ Tim Felgentreff ]
  * use animated sprite for unholy armor
  * add invisibility deco
  * add poison (but no way to do it)

  [ Lagi7 ]
  * icons for spider and scorpion skills
  * poison 1
  * poison 2
  * poison 3
  * poison 4
  * green web

  [ Tim Felgentreff ]
  * add first town hall with fast build and less supply
  * attempt fix for "first town hall" change

  [ Lagi7 ]
  * safety wood check for salvage
  * web icon not display - typo
  * food icon
  * code for food display

  [ Tim Felgentreff ]
  * no wounds on buildings

  [ Lagi7 ]
  * blood sprites
  * bleeding missiles
  * bleeding
  * impact blood
  * spell balance - little cost upgrade for summons, shorter Unholy armor
  * not organic catapults
  * lets disable wound icons

  [ Tim Felgentreff ]
  * formatting
  * another idea for wounded deco

  [ Lagi7 ]
  * bleed when moving
  * bleeding walk
  * bleeding when unit move
  * building upgrades
  * build upgr
  * upgrades building and cat speed
  * reduce spiders spell web range
  * brackets
  * fix towersbenefit from aroows upgr
  * add tim map with 5x more gold in starting mines

  [ Tim Felgentreff ]
  * override preference to indicate damage

  [ Lagi7 ]
  * bleeding animation frequence
  * Rearange the help list, and add some tips
  * poison cloud animation to last longer
  * adjust wizards area spells
  * idle workers counter
  * faster by 2 points archer and spearman attack
  * archer 1 point faster only

  [ Tim Felgentreff ]
  * fix a bunch of multiplayer menu problems
  * updates for editor help and randomize map feature
  * add a random skirmish option
  * use some fancy scripting to get better random maps
  * nicer free workers icon

  [ Lagi7 ]
  * adjust idle worker position
  * more expensive town hall and longer build time
  * upgrade salavage safety switch
  * town hall further away from gold mine
  * Twist random generator arguments
  * 5x starting workers for random scenario
  * starting resource, and 5 workers
  * rename option
  * magma rift
  * slime pond structure
  * windmill
  * ruined house
  * icons
  * dungeon entrance icon
  * 4x neutral buildings
  * new buildings + organise the icons
  * fix dungeon entrance issue in editor
  * modify solo scenario menu sizes and text position
  * random tiles set
  * background to stone
  * txt adjust
  * remove copies of dunegeon maps
  * dungeon entrance 2x3
  * 2x3 dungeon entrance
  * collapse entrance lua
  * collapsed dungeon entrance
  * default wood inside dungeon entrance
  * add dungeon map with working dungeon entrances
  * from start access to barrack
  * stable need blacksmith
  * balance
  * unholy armor more mana
  * add new upgrades and tower for AI script
  * faster tech, use towers
  * fix
  * ffix
  * 4fix
  * entry23
  * e23

  [ Tim Felgentreff ]
  * don't allow diagonal road connections


=== debian/control ===
Source: war1gus
Section: games
Priority: optional
Maintainer: Tim Felgentreff <timfelgentreff@gmail.com>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), zlib1g-dev,
 libpng12-dev (>= 1.2.5) | libpng-dev (>= 1.2.5), imagemagick, stratagus-dev
Standards-Version: 3.9.2
Homepage: https://github.com/Wargus/war1gus

Package: war1gus
Architecture: any
Depends: ${stratagus:Depends}, ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ffmpeg | libav-tools, timgm6mb-soundfont | musescore-soundfont-gm, innoextract
Provides: stratagus-data
Description: Warcraft: Orc & Humans data game set for the Stratagus engine
 War1gus can be used to play Warcraft: Orcs & Humans from Blizzard Entertainment.
 .
 You need the original Warcraft CD or Floppy version to extract the game data files.
 .
 War1gus is developed together for Windows, Linux and Mac OS X.

=== debian/rules ===
#!/usr/bin/make -f
#       _________ __                 __
#      /   _____//  |_____________ _/  |______     ____  __ __  ______
#      \_____  \\   __\_  __ \__  \\   __\__  \   / ___\|  |  \/  ___/
#      /        \|  |  |  | \// __ \|  |  / __ \_/ /_/  >  |  /\___ |
#     /_______  /|__|  |__|  (____  /__| (____  /\___  /|____//____  >
#             \/                  \/          \//_____/            \/
#  ______________________                           ______________________
#                        T H E   W A R   B E G I N S
#         Stratagus - A free fantasy real time strategy game engine
#
#    debian/rules
#    Copyright (C) 2010-2011  Pali Rohár <pali.rohar@gmail.com>
#    Copyright (C) 2015  Tim Felgentreff <tim.felgentreff@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#

VERSION := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p" | sed "s/-[^-]*$$//" )

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INCLUDE_PATH="/usr/lib/$(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)/"

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
	echo "stratagus:Depends=stratagus (>= $(VERSION)~0)" >> debian/war1gus.substvars
